Get information about an archived mailing
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/mailarchive/{bmMailId}
Path Parameters
- clientIdstringrequiredDescription
- bmMailIdstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestArchiveMail
- mailingGroupIdinteger<int64>DescriptionFormatint64
- mailingTypestringDescription
- mailingToUserIdinteger<int64>DescriptionFormatint64
- propertiesmap<string, string>Description
- createdstring<date-time>DescriptionFormatdate-time
400
404
409
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/mailarchive/{bmMailId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/mailarchive/{bmMailId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/mailarchive/{bmMailId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/mailarchive/{bmMailId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The information about the archived mailing was retrieved successfully.
{
"mailingGroupId": "",
"mailingType": "",
"mailingToUserId": "",
"properties": "",
"created": ""
}400
// The bmMailId is invalidly encoded.
404
// The bmMailId could not be found in the mail archive.
409
// The indicated bmMailId is not assigned to the indicated client. Ensure that "clientId" and "bmMailId" are correct and that "bmMailId" is assigned to the indicated client.